summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-boot/systemd-boot/systemd-boot-241.ebuild')
-rw-r--r--sys-boot/systemd-boot/systemd-boot-241.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/sys-boot/systemd-boot/systemd-boot-241.ebuild b/sys-boot/systemd-boot/systemd-boot-241.ebuild
index fd87a5e7a12..f30a1842698 100644
--- a/sys-boot/systemd-boot/systemd-boot-241.ebuild
+++ b/sys-boot/systemd-boot/systemd-boot-241.ebuild
@@ -22,6 +22,7 @@ BDEPEND="
dev-libs/libxslt:0
>=dev-util/intltool-0.50
dev-util/gperf
+ dev-util/patchelf
virtual/pkgconfig
"
COMMON_DEPEND="
@@ -96,7 +97,9 @@ src_compile() {
src/boot/efi/linux${efi_arch}.efi.stub
src/boot/efi/systemd-boot${efi_arch}.efi
)
- eninja -C "${BUILD_DIR}" "${targets[@]}" || die
+ cd "${BUILD_DIR}" || die
+ eninja "${targets[@]}"
+ patchelf --remove-rpath bootctl || die
}
src_install() {